## NAME

v.in.dxf - Converts files in DXF format to GRASS vector file format.

## KEYWORDS

vector

## SYNOPSIS

v.in.dxf
v.in.dxf help
v.in.dxf [-leti1f] input=string [output=name] [layers=string[,string,...]] [--overwrite]

### Flags:

-l
  List available layers and exit
-e
  Ignore the map extent of DXF file
-t
  Do not create attribute tables
-i
  Invert selection by layers (don't import layers in list)
-1
  Import all objects into one layer
-f
  Import polyface meshes as 3D wire frame
--overwrite
  Force overwrite of output files

### Parameters:

input=string
  DXF input file
output=name
  Name for output vector map
layers=string[,string,...]
  List of layers to import

## DESCRIPTION

Standard DXF is imported. The following graphical objects are supported:

- GRASS point type:

- DXF POINT

- GRASS line type:

- DXF LINE
- DXF POLYLINE
- DXF LWPOLYLINE
- DXF ARC
- DXF CIRCLE
- DXF TEXT

- GRASS face type:

- DXF POLYFACE MESHES
- DXF 3DFACE

## SEE ALSO

v.out.dxf, Introduction to GRASS vector map processing

## AUTHORS

Original written by Chuck Ehlschlaeger, 6/1989
Revised by Dave Gerdes, 12/1989
US Army Construction Engineering Research Lab

Updated for GRASS 6 and 3D support. Huidae Cho, 3/2006

Last changed: $Date: 2006/06/08 00:07:19 $

Main index - vector index - Full index